# Cancel an ACH transfer

**POST** `/transfers/ach/{ach_transfer_id}/cancel`

Cancels an ACH transfer before it is sent to the Federal Reserve. This action can be performed only if a given transfer is `INITIATED`. You can read more about [ACH states here](/ach/notifications-and-states).

### Path Parameters

- `ach_transfer_id` `string` _(required)_ — Unique identifier for the ACH transfer.

**Request**

```shell
curl 'https://api.column.com/transfers/ach/<ach_transfer_id>/cancel' \
  -XPOST \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "id": "acht_28LtylaW2AzFlAkj1ZFyqW2m5tR",
  "created_at": "2022-04-26T21:19:11Z",
  "updated_at": "2022-04-26T21:19:11Z",
  "submitted_at": null,
  "acknowledged_at": null,
  "settled_at": null,
  "completed_at": null,
  "returned_at": null,
  "cancelled_at": "2022-04-26T21:19:11Z",
  "initiated_at": "2022-04-26T21:19:11Z",
  "manual_review_at": null,
  "return_dishonored_at": null,
  "return_contested_at": null,
  "status": "CANCELED",
  "type": "CREDIT",
  "idempotency_key": "",
  "bank_account_id": "bacc_28LtymCYuPbxZVKFqEb2LG25gtv",
  "account_number_id": "acno_28LtyqzrhU5s1TGOjWqNrGNHpRp",
  "counterparty_id": "cpty_28LtyqybwjOBwqcSYv1ogtffbYw",
  "amount": 50000,
  "currency_code": "USD",
  "description": "test transfer",
  "effective_on": "2022-04-27T07:00:00Z",
  "same_day": false,
  "company_discretionary_data": "",
  "company_entry_description": "PAYMENT",
  "company_id": "9121145307",
  "company_name": "COLUMN NA",
  "receiver_name": "CHASE ACCOUNT",
  "receiver_id": "",
  "entry_class_code": "PPD",
  "allow_overdraft": false,
  "is_incoming": false,
  "nsf_deadline": null,
  "trace_number": "",
  "odfi_routing_number": "121145307",
  "return_details": [],
  "is_on_us": false,
  "iat": null,
  "payment_related_info": "",
  "notification_of_changes": null,
  "reversal_pair_transfer_id": "",
  "ultimate_beneficiary_counterparty_id": "",
  "ultimate_originator_counterparty_id": "",
  "entry_details": {
    "transaction_code": 22,
    "transaction_code_name": "Checking Credit"
  }
}
```
